## audiolink 0.05

=== Makefile ===
# AudioLink
#
# $Id: Makefile,v 1.24 2003/12/06 14:57:40 amitshah Exp $
#
# Copyright (C) 2003, Amit Shah <amitshah@gmx.net>
#
# This file is part of AudioLink.
#
# AudioLink is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; version 2 of the License, or
# (at your option) any later version.
#
# AudioLink is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with AudioLink; if not, write to the Free Software
# Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA

#------------------------------------------------------------------------------
# Developer section. Don't modify this section unless you know what
# you are doing. Look for user-modifiable settings in the user section
# below.

# versioning info
VERSION = 0
SUBLEVEL = 05
EXTRAVERSION =

ALVER = $(VERSION).$(SUBLEVEL)$(EXTRAVERSION)

DESTDIR =
BIN = $(DESTDIR)/usr/bin

# We'll install the man pages in the 1st section of man pages
MANEXT = 1
MAN = $(DESTDIR)/usr/share/man/man$(MANEXT)

POD2HTML_OPTS = --header --backlink Top --cachedir=/tmp

# run as make <target> Q= on the command-line to see the commands
# being run.
ifeq ($(Q),)
	Q = @
else
	Q = " "
endif

clean:
	$(Q)find . -name '*~' -o -name '.#*' -o -name '*.tmp' | xargs rm -f

version:
	$(Q)echo "AudioLink version " $(ALVER) `date +%Y%m%d` > VERSION

# Make tarballs
dist:  html_doc version clean
	$(Q)echo "Building packages for AudioLink" $(ALVER)
	$(Q)cp -r ../audiolink ../audiolink-$(ALVER)
	$(Q)find ../audiolink-$(ALVER) -name 'CVS*' | xargs rm -rf
	$(Q)rm -rf ../audiolink-$(ALVER)/patches
	$(Q)rm -rf ../audiolink-$(ALVER)/ann
	$(Q)rm -rf ../audiolink-$(ALVER)/web
	$(Q)rm -rf ../audiolink-$(ALVER)/debian
	$(Q)rm -f ../audiolink-$(ALVER)/.cvsignore
	$(Q)rm -f ../audiolink-$(ALVER)/web/upd_web.sh

	$(Q)tar --directory=.. -cjf ../audiolink-$(ALVER).tar.bz2 audiolink-$(ALVER)
	$(Q)tar --directory=.. -czf ../audiolink-$(ALVER).tar.gz audiolink-$(ALVER)
	$(Q)md5sum ../audiolink-$(ALVER).tar.* > ../md5sums
	$(Q)cp ../audiolink-$(ALVER).tar.gz ../aldeb/audiolink_$(ALVER).orig.tar.gz
	$(Q)rm -rf ../audiolink-$(ALVER)
	$(Q)echo "Done. Have you run 'make cvs' yet?"

# Make sure directories exist before installing
prepare_install:
	install -d $(BIN) $(MAN)

# Install it
install: prepare_install man
	$(Q)install code/alfilldb $(BIN)
	$(Q)install code/alsearch $(BIN)
	$(Q)install code/audiolink $(BIN)

# Generate HTML documentation
html_doc:
	$(Q)pod2html $(POD2HTML_OPTS) --infile code/alfilldb --outfile Documentation/alfilldb_doc.html
	$(Q)pod2html $(POD2HTML_OPTS) --infile code/alsearch --outfile Documentation/alsearch_doc.html
	$(Q)pod2html $(POD2HTML_OPTS) --infile code/audiolink --outfile Documentation/audiolink_doc.html

# Generate and install man pages
man:
	$(Q)pod2man --section=$(MANEXT) code/alfilldb $(MAN)/alfilldb.$(MANEXT)
	$(Q)pod2man --section=$(MANEXT) code/alsearch $(MAN)/alsearch.$(MANEXT)
	$(Q)pod2man --section=$(MANEXT) code/audiolink $(MAN)/audiolink.$(MANEXT)

# Commit latest and tag the CVS with the release info
cvs: version
	$(Q)cvs ci -m "version $(ALVER)" VERSION
	$(Q)cvs tag rel_$(VERSION)$(SUBLEVEL)

#------------------------------------------------------------------------------
# User section starts
#
# Modify the values below if you want to tweak your database
# settings (eg., the name of the database, the name of the table, etc.

DATABASE = aldb
DBI_USER = amit # fill in your username (for the db) here.
DBI_PASS = pass # fill in your password (for the db) here.
DBI_HOST = localhost # fill in the name of the machine running mysql

DB_OPTS = -u$(DBI_USER) -p$(DBI_PASS) -h$(DBI_HOST)

.PHONY: db createdb insschema

# This target is used to get to the mysql prompt. Users will rarely
# need to execute this target.
db:
	$(Q)mysql $(DB_OPTS) $(DATABASE)

# The next two targets are used to initialize and setup the database
# for running audiolink. They should be used just once: when the users
# are running audiolink for the first time. A script is in works which
# will handle all of this, so that the setting up is less pain for
# users.

createdb:
	$(Q)mysqladmin $(DB_OPTS) create $(DATABASE)

insschema:
	$(Q)mysql $(DB_OPTS) $(DATABASE) < db/mysql.schema

=== debian/changelog ===
audiolink (0.05-4) unstable; urgency=medium

  * New maintainer. (Closes: #831544)
  * Run wrap-and-sort.
  * Using new DH level format. Consequently:
      - debian/compat: removed.
      - debian/control: changed from 'debhelper' to 'debhelper-compat' in
        Build-Depends field and bumped level to 13.
  * debian/control:
      - Added 'Rules-Requires-Root: no' to source stanza.
      - Bumped Standards-Version to 4.5.0.
      - Created VCS fields.
      - Removed unnecessary greater-than versioned dependencies.
  * debian/copyright:
      - Migrated to 1.0 format.
      - Updated all data.
  * debian/docs: added missing documentation in Documentation/*.html from
    upstream. Consequently:
      - debian/doc-base: created to register the documentation.
  * debian/patches/:
      - Forwarded all patches.
      - 010_debian-changes.patch:
          ~ Added a header.
          ~ Changed the numeric prefix.
      - 020_fix-spelling-error: created to fix spelling error.
  * debian/README.Debian: no longer needed. Removed.
  * debian/rules:
      - Added a export line for DH_VERBOSE.
      - Added DEB_BUILD_MAINT_OPTIONS variable to improve GCC hardening.
      - Removed a override_dh_installchangelogs because the RELEASE_NOTES
        already has the same information.
  * debian/salsa-ci.yml: added to provide CI tests for Salsa.
  * debian/tests/control: created to perform a CI test.
  * debian/upstream/metadata: created.
  * debian/watch: created.

 -- Gleisson Jesuino Joaquim Cardoso <gleissoncg2@gmail.com>  Tue, 11 Aug 2020 20:18:21 -0300

audiolink (0.05-3) unstable; urgency=medium

  * QA upload.
  * Depends/Recommends: default-mysql-* | virtual-mysql-*.
    (Closes: #848428, #732876)

 -- Andreas Beckmann <anbe@debian.org>  Wed, 11 Jan 2017 19:22:00 +0100

audiolink (0.05-2) unstable; urgency=medium

  * QA upload.
  * Switch to dh.
  * Switch to "3.0 (quilt)" source format.
  * Raise debhelper compat level to 9. Closes: #817368.
  * Package is "Arch: all", put everything in Build-Depends.
  * Package is orphaned (Bug #831544), set Maintainer to "Debian QA Group".

 -- Santiago Vila <sanvila@debian.org>  Sun, 11 Sep 2016 20:09:38 +0200

audiolink (0.05-1.2) unstable; urgency=low

  * Non-maintainer upload.
  * Use Ogg::Vorbis::Header::PurePerl instead of Ogg::Vorbis::Header.
    (Closes: #655407)

 -- Tim Retout <diocles@debian.org>  Mon, 09 Apr 2012 20:48:40 +0100

audiolink (0.05-1.1) unstable; urgency=low

  * Non-maintainer upload.
  * Move debhelper to Build-Depends, to get rid of lintian error
    preventing upload.
  * Use File:Temp to generate a temporary file (Closes: #496433).

 -- Sebastien Delafond <seb@debian.org>  Wed, 03 Sep 2008 14:53:36 -0700

audiolink (0.05-1) unstable; urgency=low

  * Initial Release (closes: #222450)
  * Sponsored by Gunnar Wolf <gwolf@debian.org>

 -- Gunnar Wolf <gwolf@debian.org>  Tue,  3 Feb 2004 14:31:50 -0600

=== debian/control ===
Source: audiolink
Section: sound
Priority: optional
Maintainer: Gleisson Jesuino Joaquim Cardoso <gleissoncg2@gmail.com>
Build-Depends: debhelper-compat (= 13), perl
Standards-Version: 4.5.0
Homepage: http://audiolink.sourceforge.net/
Rules-Requires-Root: no
Vcs-Browser: https://salsa.debian.org/debian/audiolink
Vcs-Git: https://salsa.debian.org/debian/audiolink.git

Package: audiolink
Architecture: all
Depends: default-mysql-client | virtual-mysql-client,
         libdbd-mysql-perl,
         libfile-temp-perl,
         libmp3-info-perl,
         libogg-vorbis-header-pureperl-perl,
         ${misc:Depends},
         ${perl:Depends}
Recommends: default-mysql-server | virtual-mysql-server
Description: makes managing and searching for music easier
 AudioLink is a tool that makes searching for music on your local
 storage media easier and faster. Your searches can include a variety
 of criteria, like male artists, female artists, band, genre, etc.
 .
 It works with MP3 and Ogg Vorbis files and creates a MySQL database
 in which it stores the information about the music files. It creates
 symbolic links to the actual music files based on the search
 results. You can search for multiple fields, like artist, band,
 composer, lyricist, etc.

=== debian/tests/control ===
Test-Command: audiolink -h 2>&1 | grep '^Usage'
Restrictions: superficial

=== debian/watch ===
version=4
https://sf.net/audiolink/audiolink@ANY_VERSION@@ARCHIVE_EXT@
